# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           redis
Version:        1.2.6
Release:        1
Url:            http://code.google.com/p/redis/
License:        BSD License
Group:          Productivity/Databases/Servers
Summary:        Persistent key-value database with built-in net interface
Source:         http://redis.googlecode.com/files/%{name}-%{version}.tar.bz2
Patch0:         %{name}-initscript.patch
Patch1:         %{name}-conf.patch
# for init script
Requires:       netcat
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define pkg_homedir %{_var}/run/%{name}
%define pkg_datadir %{_var}/lib/%{name}

%description
Redis is an advanced key-value store. It is similar to memcached but the dataset
is not volatile, and values can be strings, exactly like in memcached,
but also lists, sets, and ordered sets. All this data types can be manipulated
with atomic operations to push/pop elements, add/remove elements, perform server
side union, intersection, difference between sets, and so forth. Redis supports
different kind of sorting abilities.

%package doc
Summary:        HTML documentation for Redis
Group:          Productivity/Databases/Servers
Requires:       redis = %{version}

%description doc
HTML documentation for Redis

%prep
%setup -q
%patch0
%patch1
mv doc html

%build
make PROF="%{optflags}" %{?jobs:-j%jobs}

%install
install -D -m 0755 redis-benchmark $RPM_BUILD_ROOT%{_bindir}/redis-benchmark
install -D -m 0755 redis-cli $RPM_BUILD_ROOT%{_bindir}/redis-cli
install -D -m 0755 redis-server $RPM_BUILD_ROOT%{_sbindir}/redis-server
install -D -m 0755 utils/redis_init_script $RPM_BUILD_ROOT%{_sysconfdir}/init.d/redis
ln -s %{_sysconfdir}/init.d/redis $RPM_BUILD_ROOT%{_sbindir}/rcredis
install -D -m 0644 redis.conf $RPM_BUILD_ROOT%{_sysconfdir}/redis.conf
install -d $RPM_BUILD_ROOT%{pkg_homedir} $RPM_BUILD_ROOT%{pkg_datadir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -r %{name} &>/dev/null || :
/usr/sbin/useradd -o -g %{name} -s /bin/false -r -c "User for Redis key-value store" -d %{pkg_homedir} %{name} &>/dev/null || :

%post
%fillup_and_insserv %{name}
%restart_on_update %{name}

%preun
%stop_on_removal %{name}

%postun
%insserv_cleanup

%files
%defattr(-,root,root)
%doc 00-RELEASENOTES BETATESTING.txt BUGS COPYING Changelog README TODO
%{_bindir}/redis-benchmark
%{_bindir}/redis-cli
%{_sbindir}/redis-server
%{_sbindir}/rcredis
%config(noreplace) %{_sysconfdir}/init.d/redis
%config(noreplace) %attr(0640, %{name}, %{name}) %{_sysconfdir}/redis.conf
%dir %attr(0750, %{name}, %{name}) %{pkg_homedir}
%dir %attr(0750, %{name}, %{name}) %{pkg_datadir}

%files doc
%defattr(-,root,root)
%doc html/

%changelog
